﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using NM.Data.Ent;
using Stimulsoft.Report;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void ButtonBase_OnClick(object sender, RoutedEventArgs e)
        {
            StiReport report = new StiReport();

            ICollection<MyType> masterlist = new List<MyType>();
            ICollection<Desc> childlist1 = new Collection<Desc>()
                {
                    new Desc { ChildName = "Key1", Value = "V1" }, 
                    new Desc() { ChildName = "Key2", Value = "V2" }
                };
            ICollection<Desc> childlist2 = new Collection<Desc>()
                {
                    new Desc { ChildName = "Key1", Value = "V4" }, 
                    new Desc() { ChildName = "Key2", Value = "V5" }
                };

            masterlist.Add(new MyType() { MasterName = "N1", childlist = childlist1});
            masterlist.Add(new MyType() { MasterName = "N2", childlist = childlist2});

            Ent1 ent = new Ent1 {masterlist = masterlist};

            report.Load("Report.mrt");
            report.RegBusinessObject("Ent1", ent);

            report.Dictionary.SynchronizeBusinessObjects(2);
            report.DesignWithWpf();
        }
    }
}
